org.apache.ignite.internal.commandline

## Class Arguments

- java.lang.Object
- - org.apache.ignite.internal.commandline.Arguments

    public class Arguments
    extends Object

Bean with all parsed and validated arguments.

### Constructor Summary

Constructors
Constructor and Description
`Arguments(Command cmd, String host, String port, String user, String pwd, String baselineAct, String baselineArgs, VisorTxTaskArg txArg, CacheArguments cacheArgs, String walAct, String walArgs, Long pingTimeout, Long pingInterval, boolean autoConfirmation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `autoConfirmation()`
`String` `baselineAction()`
`String` `baselineArguments()`
`CacheArguments` `cacheArgs()`
`Command` `command()`
`String` `host()`
`String` `password()`
`long` `pingInterval()` See `GridClientConfiguration.pingInterval`.
`long` `pingTimeout()` See `GridClientConfiguration.pingTimeout`.
`String` `port()`
`VisorTxTaskArg` `transactionArguments()`
`String` `user()`
`String` `walAction()`
`String` `walArguments()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arguments

    public Arguments(Command cmd,
                     String host,
                     String port,
                     String user,
                     String pwd,
                     String baselineAct,
                     String baselineArgs,
                     VisorTxTaskArg txArg,
                     CacheArguments cacheArgs,
                     String walAct,
                     String walArgs,
                     Long pingTimeout,
                     Long pingInterval,
                     boolean autoConfirmation)

Parameters:
  `cmd` - Command.
  `host` - Host.
  `port` - Port.
  `user` - User.
  `pwd` - Password.
  `baselineAct` - Baseline action.
  `baselineArgs` - Baseline args.
  `txArg` - TX arg.
  `cacheArgs` - --cache subcommand arguments.
  `walAct` - WAL action.
  `walArgs` - WAL args.
  `pingTimeout` - Ping timeout. See `GridClientConfiguration.pingTimeout`.
  `pingInterval` - Ping interval. See `GridClientConfiguration.pingInterval`.
  `autoConfirmation` - Auto confirmation flag.

### Method Detail

#### command

    public Command command()

Returns:
  command

#### host

    public String host()

Returns:
  host name

#### port

    public String port()

Returns:
  port number

#### user

    public String user()

Returns:
  user name

#### password

    public String password()

Returns:
  password

#### baselineAction

    public String baselineAction()

Returns:
  baseline action

#### baselineArguments

    public String baselineArguments()

Returns:
  baseline arguments

#### transactionArguments

    public VisorTxTaskArg transactionArguments()

Returns:
  Transaction arguments.

#### cacheArgs

    public CacheArguments cacheArgs()

Returns:
  Arguments for --cache subcommand.

#### walAction

    public String walAction()

Returns:
  WAL action.

#### walArguments

    public String walArguments()

Returns:
  WAL arguments.

#### pingTimeout

    public long pingTimeout()

See `GridClientConfiguration.pingTimeout`.

Returns:
  Ping timeout.

#### pingInterval

    public long pingInterval()

See `GridClientConfiguration.pingInterval`.

Returns:
  Ping interval.

#### autoConfirmation

    public boolean autoConfirmation()

Returns:
  Auto confirmation option.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019